libzypp 17.37.10

zypp::DigestReport Struct Reference

`#include <zypp/Digest.h>`

Inheritance diagram for zypp::DigestReport:

## Public Member Functions
virtual bool | askUserToAcceptNoDigest (const zypp::Pathname &file)
virtual bool | askUserToAccepUnknownDigest (const Pathname &file, const std::string &name)
virtual bool | askUserToAcceptWrongDigest (const Pathname &file, const std::string &requested, const std::string &found)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Additional Inherited Members
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Detailed Description

Definition at line 25 of file Digest.h.

## Member Function Documentation

## ◆ askUserToAcceptNoDigest()

bool zypp::DigestReport::askUserToAcceptNoDigest | ( | const zypp::Pathname & | file | ) |
| virtual

Definition at line 30 of file Digest.cc.

## ◆ askUserToAccepUnknownDigest()

bool zypp::DigestReport::askUserToAccepUnknownDigest | ( | const Pathname & | file,
|  | const std::string & | name )
| virtual

Definition at line 33 of file Digest.cc.

## ◆ askUserToAcceptWrongDigest()

bool zypp::DigestReport::askUserToAcceptWrongDigest | ( | const Pathname & | file,
|  | const std::string & | requested,
|  | const std::string & | found )
| virtual

Definition at line 36 of file Digest.cc.

The documentation for this struct was generated from the following files:

- zypp/Digest.h
- zypp/Digest.cc